extern crate rusty_dsp;

use std::io;

use rusty_dsp::multiply::MultiplyConst;
use rusty_dsp::sinks::SoundCardSink;
use rusty_dsp::sources::SinSource;

fn main() {
    let source = SinSource::new(440.0, 48000.0);
    let mult = MultiplyConst::from(source, 0.3);
    let mut sink = SoundCardSink::from(mult, 48000);

    sink.start().unwrap();
}
